org.jboss.jca.embedded.dsl.resourceadapters10.api

## Interface TimeoutType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface TimeoutType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `timeoutType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TimeoutType<T>` | `allocationRetry(java.lang.Integer allocationRetry)` Sets the `allocation-retry` element
    `TimeoutType<T>` | `allocationRetryWaitMillis(java.lang.Integer allocationRetryWaitMillis)` Sets the `allocation-retry-wait-millis` element
    `TimeoutType<T>` | `blockingTimeoutMillis(java.lang.Integer blockingTimeoutMillis)` Sets the `blocking-timeout-millis` element
    `java.lang.Integer` | `getAllocationRetry()` Returns the `allocation-retry` element
    `java.lang.Integer` | `getAllocationRetryWaitMillis()` Returns the `allocation-retry-wait-millis` element
    `java.lang.Integer` | `getBlockingTimeoutMillis()` Returns the `blocking-timeout-millis` element
    `java.lang.Integer` | `getIdleTimeoutMinutes()` Returns the `idle-timeout-minutes` element
    `java.lang.Integer` | `getXaResourceTimeout()` Returns the `xa-resource-timeout` element
    `TimeoutType<T>` | `idleTimeoutMinutes(java.lang.Integer idleTimeoutMinutes)` Sets the `idle-timeout-minutes` element
    `TimeoutType<T>` | `removeAllocationRetry()` Removes the `allocation-retry` element
    `TimeoutType<T>` | `removeAllocationRetryWaitMillis()` Removes the `allocation-retry-wait-millis` element
    `TimeoutType<T>` | `removeBlockingTimeoutMillis()` Removes the `blocking-timeout-millis` element
    `TimeoutType<T>` | `removeIdleTimeoutMinutes()` Removes the `idle-timeout-minutes` element
    `TimeoutType<T>` | `removeXaResourceTimeout()` Removes the `xa-resource-timeout` element
    `TimeoutType<T>` | `xaResourceTimeout(java.lang.Integer xaResourceTimeout)` Sets the `xa-resource-timeout` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### blockingTimeoutMillis

          TimeoutType<T> blockingTimeoutMillis(java.lang.Integer blockingTimeoutMillis)

      Sets the `blocking-timeout-millis` element
      Parameters:
        `blockingTimeoutMillis` - the value for the element `blocking-timeout-millis`
      Returns:
        the current instance of `TimeoutType`

    - #### getBlockingTimeoutMillis

          java.lang.Integer getBlockingTimeoutMillis()

      Returns the `blocking-timeout-millis` element
      Returns:
        the node defined for the element `blocking-timeout-millis`

    - #### removeBlockingTimeoutMillis

          TimeoutType<T> removeBlockingTimeoutMillis()

      Removes the `blocking-timeout-millis` element
      Returns:
        the current instance of `TimeoutType`

    - #### idleTimeoutMinutes

          TimeoutType<T> idleTimeoutMinutes(java.lang.Integer idleTimeoutMinutes)

      Sets the `idle-timeout-minutes` element
      Parameters:
        `idleTimeoutMinutes` - the value for the element `idle-timeout-minutes`
      Returns:
        the current instance of `TimeoutType`

    - #### getIdleTimeoutMinutes

          java.lang.Integer getIdleTimeoutMinutes()

      Returns the `idle-timeout-minutes` element
      Returns:
        the node defined for the element `idle-timeout-minutes`

    - #### removeIdleTimeoutMinutes

          TimeoutType<T> removeIdleTimeoutMinutes()

      Removes the `idle-timeout-minutes` element
      Returns:
        the current instance of `TimeoutType`

    - #### allocationRetry

          TimeoutType<T> allocationRetry(java.lang.Integer allocationRetry)

      Sets the `allocation-retry` element
      Parameters:
        `allocationRetry` - the value for the element `allocation-retry`
      Returns:
        the current instance of `TimeoutType`

    - #### getAllocationRetry

          java.lang.Integer getAllocationRetry()

      Returns the `allocation-retry` element
      Returns:
        the node defined for the element `allocation-retry`

    - #### removeAllocationRetry

          TimeoutType<T> removeAllocationRetry()

      Removes the `allocation-retry` element
      Returns:
        the current instance of `TimeoutType`

    - #### allocationRetryWaitMillis

          TimeoutType<T> allocationRetryWaitMillis(java.lang.Integer allocationRetryWaitMillis)

      Sets the `allocation-retry-wait-millis` element
      Parameters:
        `allocationRetryWaitMillis` - the value for the element `allocation-retry-wait-millis`
      Returns:
        the current instance of `TimeoutType`

    - #### getAllocationRetryWaitMillis

          java.lang.Integer getAllocationRetryWaitMillis()

      Returns the `allocation-retry-wait-millis` element
      Returns:
        the node defined for the element `allocation-retry-wait-millis`

    - #### removeAllocationRetryWaitMillis

          TimeoutType<T> removeAllocationRetryWaitMillis()

      Removes the `allocation-retry-wait-millis` element
      Returns:
        the current instance of `TimeoutType`

    - #### xaResourceTimeout

          TimeoutType<T> xaResourceTimeout(java.lang.Integer xaResourceTimeout)

      Sets the `xa-resource-timeout` element
      Parameters:
        `xaResourceTimeout` - the value for the element `xa-resource-timeout`
      Returns:
        the current instance of `TimeoutType`

    - #### getXaResourceTimeout

          java.lang.Integer getXaResourceTimeout()

      Returns the `xa-resource-timeout` element
      Returns:
        the node defined for the element `xa-resource-timeout`

    - #### removeXaResourceTimeout

          TimeoutType<T> removeXaResourceTimeout()

      Removes the `xa-resource-timeout` element
      Returns:
        the current instance of `TimeoutType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)